### Virtual Method

# Foundry FileSearchProvider search

since: 1.1

#### Declaration [src]

    DexFuture*
    search (
      FoundryFileSearchProvider* self,
      FoundryFileSearchOptions* options,
      FoundryOperation* operation
    )

#### Description [src]

Performs the requested search.

It is expected that the implementation returns a `GListModel` as early as convenient and asynchronously populate the results after that.

Callers should use `foundry_list_model_await()` to wait for completion of the entire result set.

If the provider is missing dependencies (such as a missing search tool in the users path) this method should reject with `G_IO_ERROR_NOT_SUPPORTED` so that the next implementation may be used.

Available since: 1.1

#### Parameters

`options`

  Type: `FoundryFileSearchOptions`

  A `FoundryFileSearchOptions`.

  The data is owned by the caller of the method.

`operation`

  Type: `FoundryOperation`

  A `FoundryOperation`.

  The data is owned by the caller of the method.

#### Return value

Type: `DexFuture`

A `DexFuture` that resolves to a `GListModel` of `FoundryFileSearchMatch` or rejects with error.

The caller of the method takes ownership of the returned data, and is responsible for freeing it.